#
# spec file for package pcsc-ezifd
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           pcsc-ezifd
Version:        1.5.5.2
Release:        lp156.2.1
Summary:        PCSC Driver for Castles Technology EZ100PU/EZMINI
License:        LGPL-2.1
URL:            https://github.com/drinkcat/ezIFD
Source0:        ezIFD-%version.tar.gz
BuildRequires:  autoconf-archive
BuildRequires:  automake
BuildRequires:  flex
BuildRequires:  libtool
BuildRequires:  pcsc-lite-devel
BuildRequires:  pkgconfig(libusb-1.0)
BuildRequires:  zlib-devel
Requires:       pcsc-lite
%define ifddir %(pkg-config libpcsclite --variable=usbdropdir)

%description
PCSC Driver for Castles Technology EZ100PU/EZMINI

%prep
%setup -q -n ezIFD-%version
autoreconf --install
./configure

%build
make

%install
%make_install

%files
%{ifddir}/*
%license COPYING
%doc README.md

%changelog
* Sun Feb  9 2025 Hsiu-Ming Chang <cges30901@gmail.com>
- Update BuildRequires
* Sun Feb  9 2025 Hsiu-Ming Chang <cges30901@gmail.com>
- Initial build
